using System;
using System.Reflection;
using BearCanyon;

class TestApp
{
    static void Main( string[] args )
    {
        // If a path to an assembly is passed on the command line, use
        // that as a test target.  If the command line is empty, use
        // the path to this program's EXE.
        //
        string fileName = (args.Length > 0 ? args[0] : Assembly.GetExecutingAssembly().Location);

        using( AssemblyParser asmParser = new AssemblyParser(fileName) )
        {
            Console.WriteLine(fileName);
            Console.WriteLine("Is assembly:                     {0}", asmParser.IsAssembly);

            if( asmParser.IsAssembly )
            {
                Console.WriteLine("Has entry point:                 {0}", asmParser.HasEntryPoint);
                Console.WriteLine("Has strong name:                 {0}", asmParser.HasStrongName);
                Console.WriteLine("Is IL only:                      {0}", asmParser.IsILOnly);
                Console.WriteLine("Runtime major ver (should be 2): {0}", asmParser.RuntimeMajorVersion);
                Console.WriteLine("Runtime minor ver (should be 0): {0}", asmParser.RuntimeMinorVersion);
            }
        }
    }
}
